; THIS FILE IS MANAGED VIA FILEDIST 
; changes should be made in an appropriate place
;
;======================= Global Settings =====================================
[global]
workgroup     = COMP-SCI
comment       = CSL Windows Install Server 
server string = CSL Windows Install Server on %h (Samba %v)
load printers = no

security mask = 0777
force security mode = 0
directory security mask = 0777
force directory security mode = 0  

; log file options
;log file = /var/adm/samba/var/log
max log size = 0 
log level = 0 

; lock file options
;lock dir = /tmp/samba
oplocks = no 
locking = no 

; Misc options
short preserve case = yes
preserve case = yes

; performance settings
socket options = TCP_NODELAY
share modes = yes
getwd cache = yes
dead time = 0

; security settings
guest account = ntinstl
null passwords = yes
security = share

; browsing settings
wins server = apollyon.cs.wisc.edu

max protocol = SMB2


;============================ Share Definitions ==============================
[install.xp]
comment = Windows share for XP installs
;path = /local/install.xp
path = /afs/cs.wisc.edu/i386_winxp
browseable = yes 
public = yes 
guest only = yes
read only = yes
create mode = 700
[install.win7]
comment = Windows share for Win7 installs
path = /afs/cs.wisc.edu/i386_win7
browseable = yes 
public = yes 
guest only = yes
read only = yes
create mode = 700
[install.lap]
comment = Windows share for laptop installs
path = /p/lab/misc/laptop-images
browseable = yes
public = yes
guest only = yes
read only = yes
create mode = 700
[install.local]
comment = Windows share for laptop installs
path = /install
browseable = yes
public = yes
guest only = yes
read only = yes
create mode = 700
